package com.gh.common.provider

import android.app.Activity
import android.content.Context
import android.os.Bundle
import com.therouter.router.Route
import com.gh.common.util.DirectUtils
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDirectProvider

@com.therouter.inject.ServiceProvider
class DirectProviderImpl : IDirectProvider {

    override fun directToWebView(context: Context, url: String, entrance: String?) {
        DirectUtils.directToWebView(context, url, entrance)
    }

    override fun directToRegulationTestPage(context: Context) {
        DirectUtils.directToRegulationTestPage(context)
    }

    override fun directToQqConversation(context: Context, qq: String) {
        DirectUtils.directToQqConversation(context, qq)
    }

    override fun directDouyin(context: Context, userId: String) {
        DirectUtils.directDouyin(context, userId)
    }

    override fun directToSuggestionFromDiagnosis(context: Context, content: String, diagnosis: String) {
        DirectUtils.directToSuggestion(context, content = content, diagnosis = diagnosis)
    }

    override fun directToQa(context: Context, text: String?, id: String) {
        DirectUtils.directToQa(context, text, id)
    }

    override fun directToHelpAndFeedback(context: Context, bundle: Bundle?) {
        DirectUtils.directToHelpAndFeedback(context, bundle)
    }

    override fun directToQqGroup(context: Context, groupNumber: String?): Boolean {
        return DirectUtils.directToQqGroup(context, groupNumber)
    }

    override fun directToHomeActivity(context: Context, userId: String?, entrance: String?, path: String?) {
        DirectUtils.directToHomeActivity(context, userId, entrance, path)
    }

    override fun directToAnswerDetail(context: Context, id: String, entrance: String?, path: String?) {
        DirectUtils.directToAnswerDetail(context, id, entrance, path)
    }

    override fun directToCommunityArticle(
        context: Context,
        articleId: String?,
        communityId: String?,
        entrance: String?,
        path: String?,
        sourceEntrance: String
    ) {
        DirectUtils.directToCommunityArticle(context, articleId, communityId, entrance, path, sourceEntrance)
    }

    override fun directToVideoDetail(
        context: Context,
        videoId: String,
        entrance: String?,
        path: String?,
        sourceEntrance: String
    ) {
        DirectUtils.directToVideoDetail(context, videoId, entrance, path, sourceEntrance)
    }

    override fun directToAmway(context: Context, fixedTopAmwayCommentId: String?, entrance: String?, path: String?) {
        DirectUtils.directToAmway(context, fixedTopAmwayCommentId, entrance, path)
    }

    override fun directToQQGameHome(context: Context) {
        return DirectUtils.directToQGameHome(context)
    }

    override fun directToQQGameById(activity: Activity, qqAppId: String) {
        DirectUtils.directToQQGameById(activity, qqAppId)
    }

    override fun directToWechatGameById(
        activity: Activity,
        wechatAppId: String,
        wechatAppPath: String,
        wechatAppExtData: String
    ) {
        DirectUtils.directToWechatGameById(activity, wechatAppId, wechatAppPath, wechatAppExtData)
    }

    override fun directToExternalBrowser(context: Context, url: String) {
        DirectUtils.directToExternalBrowser(context, url)
    }
}